Page MenuHomePhabricator

Add monolingual language code "non"
Closed, ResolvedPublic

Description

Please add the language code non (English: Old Norse, Old Norse: dǫnsk tunga or norrœnt mál) to the list of language codes supported for monolingual text values.

The script is Latin script, including eth (Ð, ð), thorn (Þ, þ), o caudata (Ǫ, ǫ), oethel (Œ, œ) and maybe elle (Ꝇ, ꝇ) and vend (Ꝩ, ꝩ). For a full explanation of the ortography, see: https://en.wikipedia.org/wiki/Old_Norse_orthography

Usage example: https://www.wikidata.org/w/index.php?title=Q43610&diff=344302194&oldid=341194375

Event Timeline

afeder created this task.Jun 6 2016, 3:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 6 2016, 3:32 PM
afeder updated the task description. (Show Details)Jun 6 2016, 3:36 PM
afeder renamed this task from Add monolingual language code INSERT_CODE_HERE to Add monolingual language code "non".Jun 6 2016, 3:42 PM
afeder updated the task description. (Show Details)Jun 7 2016, 12:57 AM
afeder updated the task description. (Show Details)Jun 11 2016, 9:35 AM

non is a ISO 639-3 code therefore permissible by the language policy

Change 297398 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add monolingual language code "non"

https://gerrit.wikimedia.org/r/297398

thiemowmde claimed this task.
thiemowmde triaged this task as Normal priority.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 5 2016, 1:59 PM
thiemowmde moved this task from incoming to in progress on the Wikidata board.Jul 5 2016, 2:00 PM

Change 297398 merged by JanZerebecki:
Add monolingual language code "non"

https://gerrit.wikimedia.org/r/297398

thiemowmde closed this task as Resolved.Jul 6 2016, 5:15 PM
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-07-05 board.
Esc3300 reopened this task as Open.Jul 27 2016, 12:55 PM
Esc3300 added a subscriber: Esc3300.

Is there some other step involved?

I tried to change "mis" to "non" on https://www.wikidata.org/wiki/Q7899135
but that doesn't work.

Is there some other step involved?

I tried to change "mis" to "non" on https://www.wikidata.org/wiki/Q7899135
but that doesn't work.

Because that change is not included in the current branch on Wikidata.

Does that mean we have to wait or does it need to be done again on the current branch?

Does that mean we have to wait or does it need to be done again on the current branch?

It was supposed to go live in 1.28.0-wmf.9, however that version got reversed and after that the fixes haven't been redeployed. The code is in master and at the next deployment it will get released.

matej_suchanek added a comment.EditedJul 28 2016, 8:35 PM

It's on master, so it should be included in all WikidataBuild's since then. When a new build is chosen to be deployed, the code should be available. However, that may take some time because of holidays... (per Lydia, it should be next week)

It was supposed to go live in 1.28.0-wmf.9...

Actually no, it was merged after that day's build.

So it takes roughly two months to get a new code.

Couldn't we store this in a table that can be edited by admins?

So it takes roughly two months to get a new code.

There are features that have been expected for one decade.

Couldn't we store this in a table that can be edited by admins?

Being able to write arbitrary codes to the database sounds like a very bad idea...

Couldn't we store this in a table that can be edited by admins?

Being able to write arbitrary codes to the database sounds like a very bad idea...

There is Special:Version, but it's hard to find out which changes of Wikibase have been implemented. I have no idea what's in 0.5 alpha. There's no link to latest change in the repository that's been used.

It should be rolled out next week.

thiemowmde closed this task as Resolved.Jul 29 2016, 2:41 PM
thiemowmde removed a project: Patch-For-Review.

Couldn't we store this in a table that can be edited by admins?

Being able to write arbitrary codes to the database sounds like a very bad idea...

Somehow that's what's happening here.